Go to App

Update a Webhook

PATCH/api/v1/webhooks/{uuid}

Update an existing webhook configuration. All fields are optional.

Path Parameters

ParameterTypeDescription

uuidrequiredstringWebhook identifier

Request Body

ParameterTypeDescription

urlstringNew HTTPS endpoint URL eventsarrayUpdated event types signingSecretstringNew signing secret enabledbooleanEnable or disable

bash
curl -X PATCH https://exportcomments.com/api/v1/webhooks/a1b2c3d4-5678-90ab-cdef-1234567890ab \
-H "X-AUTH-TOKEN: your-api-key" \
-H "Content-Type: application/json" \
-d '{"events": ["export.created", "export.finished", "export.failed"]}'
Response200
json
{
"uuid": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"url": "https://your-app.com/webhooks/exportcomments",
"events": ["export.created", "export.finished", "export.failed"],
"status": 1,
"enabled": true
}